Name:             xcircuit
Version:          3.4.26
Release:          20%{?dist}
Summary:          Electronic circuit schematic drawing program

License:          GPL
Group:            Applications/Engineering
URL:              http://opencircuitdesign.com/xcircuit

Source:           http://opencircuitdesign.com/xcircuit/archive/%{name}-%{version}.tgz
Source1:          %{name}.desktop
# http://opencircuitdesign.com/xcircuit/archive/xcircuit.xpm as 64x64
Source2:          %{name}.png

BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    tk-devel, desktop-file-utils, libtool, libXt-devel, m4
BuildRequires:    ghostscript-devel, ngspice, libXpm-devel, zlib-devel
Requires:         tk

%description
Xcircuit is a general-purpose drawing program and also a specific-purpose
CAD program for circuit schematic drawing and schematic capture.

%prep
# tarball includes unneeded symlink, so we firstly
# create a directory and expand tarball there.
%setup -q -T -c %{name}-%{version} -a 0

%build
cd %{name}-%{version}
%{__libtoolize} --force --copy
%{__aclocal}
%{__automake} --add-missing
%{__autoconf}


if [ -d %{_prefix}/lib64 ] ; then
   SUF=64
else
   SUF=
fi


WISH=/usr/bin/wish
export WISH


%configure \
   --with-tcl=%{_prefix}/lib$SUF     \
   --with-tk=%{_prefix}/lib$SUF      \
   --with-tcllibs=%{_prefix}/lib$SUF \
   --with-tklibs=%{_prefix}/lib$SUF


%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}

cd %{name}-%{version}
%{__make} INSTALL="install -p" DESTDIR=%{buildroot} install
%{__make} install-man mandir="%{buildroot}%{_mandir}"


%{__rm} -rf examples/win32

#W: xcircuit hidden-file-or-dir /usr/share/doc/xcircuit-3.4.26/examples/python/.xcircuitrc
#W: xcircuit hidden-file-or-dir /usr/share/doc/xcircuit-3.4.36/examples/.xcircuitrc
%{__rm} examples/.%{name}rc
%{__rm} examples/python/.%{name}rc

chmod -x %{buildroot}/usr/lib*/%{name}-3.4/console.tcl

%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
%{__cp} -p %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png



desktop-file-install --vendor ""               \
    --add-category Engineering                 \
    --dir %{buildroot}%{_datadir}/applications \
    %{SOURCE1}


%clean
%{__rm} -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
%{_bindir}/update-desktop-database %{_datadir}/applications


%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
%{_bindir}/update-desktop-database %{_datadir}/applications


%files
%defattr(-,root,root,-)
%doc %{name}-%{version}/{CHANGES,COPYRIGHT,README*,TODO}
%doc %{name}-%{version}/examples/
%{_bindir}/%{name}
%{_prefix}/lib*/%{name}-3.4/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_mandir}/man1/%{name}.1.gz


%Changelog
* Mon Feb 26 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 3.4.26-20
- Rebuilt fo rawhide (minor fix for x86_64)

* Mon Feb 26 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 3.4.26-19
- Rebuilt for rawhide

* Wed Jan 31 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 3.4.26-18
- Fixed presence in Gnome menu

* Wed Aug 30 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 3.4.26-17
- Rebuilt for FC6 devel

* Sun Aug 26 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 3.4.26-16
- Again.

* Sun Aug 26 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 3.4.26-15
- Fix tk and tcl libdir.

* Sat Aug 26 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 3.4.26-13
- Minor fixes to build properly under x86_64

* Sat Aug 26 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 3.4.26-12
- Minor fixes to build properly under x86_64

* Sat Aug 26 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 3.4.26-11
- Minor fixes to build properly under x86_64

* Sat Aug 26 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 3.4.26-10
- Opted %%{_prefix}/lib* prior to %%{_libdir}

* Sat Aug 26 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 3.4.26-9
- Added --libdir=%%{_libdir} to solve build error on x86_64

* Sat Aug 26 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 3.4.26-8
- Use of %%{__cp} -p to keep timestamp

* Sat Aug 26 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 3.4.26-7
- Fixed mandir

* Sat Aug 26 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 3.4.26-6
- Dropped patch xcircuit-3.4.26-xpm-gif.patch
- Removed useless Windows related files

* Fri Aug 25 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 3.4.26-5
- Added libXpm-devel as BR to prevent "image type "xpm" doesn't exist" error

* Fri Aug 25 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 3.4.26-4
- Added libXt-devel and zlib-devel as BR

* Fri Aug 25 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 3.4.26-3
- Fixed xcircuit.desktop and removed unneccessary installation for manual
- Used update-desktop-database in %%post and %%postun
- patch for "image type "xpm" doesn't exist"

* Thu Aug 24 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 3.4.26-2
- Fixed xcircuit.desktop, xcircuit.png
- Minor fixes

* Wed Aug 23 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 3.4.26-1
- Initial Package
